@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <div class="card">
                <div class="card-header">{{ $wowa->created_at }}</div>

                <div class="card-body">
                    <div class="form-inline">
                        {!! $wowa->statusBadge() !!}
                    </div>
                        <p>
                            <i class="fas fa-hashtag"></i>
                            <b>Id</b> : {{ $wowa->id }}
                        </p>
                        <p>
                            <i class="fas fa-user"></i>
                            <b>User</b> : {{ \App\User::findUserNameById($wowa) }}
                        </p>
                        <p>
                            <b>Score</b> : {{ $wowa->score }}
                        </p>
                        <p>
                            <b>Population number</b> : {{ $wowa->population }}
                        </p>
                        <p>
                        <b>Crossover Rate</b> : {{ $wowa->crossover_rate }}
                        </p>
                        <p>
                            <b>Mutation Rate</b> : {{ $wowa->mutation_rate }}
                        </p>
                        <p>
                            <b>Generation number</b> : {{ $wowa->generation_number }}
                        </p>
                        <p>
                            <b>Weights W Vector</b> : @json($wowa->w_weights)
                        </p>
                        <p>
                            <b>Weights P Vector</b> : @json($wowa->p_weights)
                        </p>
                        <p>
                            <b>AUC Roc curve</b> :
                            @if($wowa->roc == null)
                                @if($wowa->status == \App\Wowa::STATE_RUNNING)
                                    <a class="btn btn-primary btn-sm" aria-disabled="true"
                                       href="{{ action('WowaController@computeAUCRoc', ['wowa' => $wowa]) }}">
                                        Compute AUC Roc
                                    </a>
                                @else
                                    <a class="btn btn-primary btn-sm"
                                       href="{{ action('WowaController@computeAUCRoc', ['wowa' => $wowa]) }}">
                                        Compute AUC Roc
                                    </a>
                                @endif
                            @else
                                {{ $wowa->roc }}
                            @endif
                        </p>
                        <p>
                            <b>AUC P-R curve</b> :
                            @if($wowa->pr == null)
                                @if($wowa->status == \App\Wowa::STATE_RUNNING)
                                    <a class="btn btn-primary btn-sm" aria-disabled=true"
                                       href="{{ action('WowaController@computeAUCPR', ['wowa' => $wowa]) }}">
                                        Compute AUC P-R
                                    </a>
                                @else
                                    <a id="pr" class="btn btn-primary btn-sm"
                                        href="{{ action('WowaController@computeAUCPR', ['wowa' => $wowa]) }}">
                                        Compute AUC P-R
                                    </a>
                                @endif
                            @else
                                {{ $wowa->pr }}
                            @endif
                        </p>
                    <div>
                        <form method="POST"
                              action="{{ action('WowaController@destroy', ['wowa' => $wowa]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                 Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
